/* BUTTONS */
.btn, .btn:hover, .btn:focus, .btn:focus-within, .btn:active, .btn:visited {
	outline: none;
	font-family: 'Roboto';
	vertical-align: top;
}

/* ACTION */
.btn.btnb-action {	
	height: 35px;
	padding-left: 15px;
	padding-right: 15px;
	font-size: 14px;
	color: #FFF;
	background-color: #64b16e;
}

.btn.btnb-action > a{
	color: #fff;
}

.btn.btnb-action:hover {
	background-color: #338142;
}

.btn.btnb-action.btnb-action-disabled {
	background-color: #DDDCDD;
}
.btn.btnb-action.btnb-action-error, .btn.btnb-action.btnb-action-error:hover {
	background-color: #FF6260;
}
/* ACTION SECONDARY */
.btn.btnb-action-secondary {

	height: 35px;
	padding-left: 15px;
	padding-right: 15px;
	font-size: 14px;
	color: #64b16e;
	border: 1px solid #64b16e;
	background-color: #FFF;
}

.btn.btnb-action-secondary > a{
	color: #333;
}

.btn.btnb-action-secondary > .material-icons{
vertical-align: middle;
}

.btn.btnb-action-secondary:hover {
	color: #338142;
	border: 1px solid #338142;
	background-color: #95E39D;
}
.btn.btnb-action-secondary.btnb-action-disabled {
	color: #DDDCDD;
	border: 1px solid #DDDCDD;
	background-color: #FFF;
}
.btn.btnb-action-secondary.btnb-action-error, .btn.btnb-action-secondary.btnb-action-error:hover {
	color: #FF6260;
	border: 1px solid #FF6260;
	background-color: #FFF;
}

.btn.btnb-action-secondary.btnb-label,.btn.btnb-action.btnb-label{	
	padding-top: 0px;
    padding-bottom: 0px;
    height: 22px;
    width: 185px;
    padding-left: 0;
    padding-right: 0;
}
/* ALERT */
.btn.btnb-alert {
	height: 35px;
	padding-left: 15px;
	padding-right: 15px;
	font-size: 14px;
	color: #FFF;
	background-color: #FF6260;
}
.btn.btnb-alert:hover {
	background-color: #E1202E;
}
.btn.btnb-alert.btnb-alert-disabled {
	background-color: #DDDCDD;
}
/* ALERT SECONDARY */
.btn.btnb-alert-secondary {
	height: 35px;
	padding-left: 15px;
	padding-right: 15px;
	font-size: 14px;
	color: #FF6260;
	border: 1px solid #FF6260;
	background-color: #FFF;
}
.btn.btnb-alert-secondary:hover {
	color: #E1302E;
	border: 1px solid #E1302E;
}
.btn.btnb-alert-secondary.btnb-alert-disabled {
	color: #DDDCDD;
	border: 1px solid #DDDCDD;
	background-color: #FFF;
}

/* PROMOTION */
.btn.btnb-promotion {
	height: 35px;
	border-radius: 17px;
		padding-left: 15px;
	padding-right: 15px;
	font-size: 14px;
	color: #FFF;
	background-color: #225064;
}
.btn.btnb-promotion:hover {
	background-color: #00283A;
}
.btn.btnb-promotion.btnb-promotion-disabled {
	background-color: #DDDCDD;
}
.btn.btnb-promotion.btnb-promotion-error, .btn.btnb-promotion.btnb-promotion-error:hover {
	background-color: #FF6260;
}
/* PROMOTION SECONDARY */
.btn.btnb-promotion-secondary {
	height: 35px;
	border-radius: 17px;
	padding-left: 15px;
	padding-right: 15px;
	font-size: 14px;
	color: #225064;
	border: 1px solid #225064;
	background-color: #FFF;
}
.btn.btnb-promotion-secondary:hover {
	color: #225064;
	border: 1px solid #225064;
	background-color: #517C92;
}
.btn.btnb-promotion-secondary.btnb-promotion-disabled {
	color: #DDDCDD;
	border: 1px solid #DDDCDD;
	background-color: #FFF;
}
.btn.btnb-promotion-secondary.btnb-promotion-error, .btn.btnb-promotion-secondary.btnb-promotion-error:hover {
	color: #FF6260;
	border: 1px solid #FF6260;
	background-color: #FFF;
}

/* HYPERTEXT */
.btnb-hypertext {
	font-size: 14px;
	color: #2D2D2C;
	background-color: transparent;
	text-decoration: underline;
}
.btnb-hypertext:hover {
	color: #34ACE7;
	text-decoration: underline;
}

/* WINDOW */
.btnb-window {
	height: 50px;
	font-size: 14px;
	color: #2D2D2C;
	background-color: #EFF0F3;
	padding: 0 30px;
	border-radius: 0;
}
.btnb-window:hover {
	color: #2D2D2C;
	background-color: #D1D5DD;
}

/* DROPDOWN */
.btnb-dropdown {
	position: relative;
}
.btnb-dropdown-btn {
	min-height: 40px;
    padding: 10px;
    border: 1px solid #225064;
    font-size: 14px;
    background-color: #fff;
    color: #2D2D2C;
    outline: none;
}
.btnb-dropdown-btn > .material-icons {
	float: right;
	margin-left: 5px;
	font-size: 17px;
	color: #225064;
}
.btnb-dropdown-btn:hover {
    border-color: #34ACE7;
}
.btnb-dropdown-btn:hover > .material-icons {
	color: #34ACE7;
}
.btnb-dropdown-menu {
    padding: 2px;
    border: 1px solid #225064;
    border-radius: 0;
}
.btnb-dropdown-item:hover, .btnb-dropdown-item > a:hover {
	background-color: #34ACE7 !important;
}
.btnb-dropdown-item.active {
	background-color: #34ACE7;
}

/* TABS */
.btnb-tabs {
	background: hsl(0, 0%, 98%);
    display: flex;
    width: 100%;
    margin-bottom: 2px;
}
.btnb-tab {
	width: 100%;
	border-right: 2px solid hsl(0, 0%, 79%);
    display: inline-flex;
    text-align: center;
    vertical-align: middle;
    padding: 10px 20px;
}
.btnb-tab:last-child {
	border-right: none;
}
.btnb-tab:hover {
	font-weight: bold;
	color: #2D2D2C;
	background-color: #E2E2E2;
}
.btnb-tab.active {
	font-weight: bold;
	color: #2D2D2C;
	background-color: #E2E2E2;
}
.btnb-tab > button, .btnb-tab > a {
	width: 100%;
	font-size: 14px;
	color: #2D2D2C;
	line-height: 16px;
	appearance: none;
	-webkit-appearance: none;
	background-color: hsla(0, 0%, 0%, 0);
    border: none;
    outline: none;
}

/* MENU */
.btnb-menu {
	padding: 20px 15px;
	background-color: #225064;
}
.btnb-menu-item {
	display: block;
	width: 100%;
	height: 50px;
	color: #FFF;
	background-color: transparent;
	border: none;
	text-align: center;
	outline: none;
}
.btnb-menu-item:hover {
	background-color: #34ACE7;
}
.btnb-menu-item.active {
	background-color: #34ACE7;
}

/* PAGINATION */
.btnb-pagination .pagination>li:first-child>a, .btnb-pagination .pagination>li:first-child>span, .btnb-pagination .pagination>li:last-child>a, .btnb-pagination .pagination>li:last-child>span {
	padding: 5px;
	color: #FFF;
	background-color: #3EABE1;
}
.btnb-pagination .pagination>li:first-child>a:hover, .btnb-pagination .pagination>li:last-child>a:hover {
	background-color: #007CAF;
}
.btnb-pagination .pagination>li>a {
	height: 35px;
	width: 35px;
	color: #225064;
	border: 1px solid #3EABE1;
	border-radius: 3px;
}
.btnb-pagination .pagination>li {
	height: 35px;
	display: inline-block;
	margin: 1px 0;
}
.btnb-pagination .pagination>li>a:focus, .pagination>li>a:hover, .pagination>li>span:focus, .pagination>li>span:hover {
	background-color: #7BDDFF;
}
.btnb-pagination .pagination>li.active>a {
	background-color: #7BDDFF;
}
.btnb-pagination .pagination>li.active>a:hover {
	color: #225064;
	border-color: #3EABE1;
}

/* ICON */
.btnb-icon {
	width: 35px;
	height: 35px;
	padding: 0;
	line-height: 0;
	color: #225064;
	background-color: #FFF;
	border: 1px solid #225064;
	border-radius: 50%;
	outline: none;
}
.btnb-icon .material-icons {
	font-size: 24px;
}
.btnb-icon:hover {
	background-color: #517C92;
}

/* TOGGLE */
.bootstrap-switch {
	height: 25px;
	width: 55px;
}
.bootstrap-switch .bootstrap-switch-handle-off, .bootstrap-switch .bootstrap-switch-handle-on, .bootstrap-switch .bootstrap-switch-label {
	height: 21px;
	padding: 0 12px !important;
}
.bootstrap-switch-container {
	padding: 1px;
}
.bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-primary, .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary {
	background-color: #63B06E;
}
.bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-default, .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-default {
	background-color: #DDDCDD;
}


/* BOXES */

/* ALERT */
.alert {
	border: 1px solid;
}
.alert > .material-icons {
	float: left;
	margin-right: 7px;
}
.alert-success {
	border-color: #65B500;
	background-color: #DFF0D0;
}
.alert-success > .material-icons {
    font-size: 16px;
    line-height: 16px;
    border: 2px solid hsl(87, 100%, 35%);
    color: hsl(87, 100%, 35%);
    border-radius: 50%;
}
.alert-info {
	border-color: #89CBDF;
	background-color: #E1F1F6;
}
.alert-info > .material-icons {
	color: #89CBDF;
	margin-top: -3px;
}
.alert-warning {
	border-color: #EFD603;
	background-color: #FEECB5;
}
.alert-warning > .material-icons {
	color: #EFD603;
	margin-top: -3px;
}
.alert-danger {
	border-color: #EBAFA6;
	background-color: #F5DBD9;
}
.alert-danger > .material-icons {
	color: #EBAFA6;
	margin-top: -3px;
}

/* BOX */
.b-box {
	width: 100%;
	height: 100px;
	line-height: 35px;
    padding-left: 60px;
    padding-right: 30px;
    padding-top: 32.5px;
    padding-bottom: 32.5px;
}
.b-box .btn-box {
	float: right;
	height: 35px;
	background-color: transparent;
}
.b-box.b-box-gray {
	color: #2D2D2C;
	background-color: #F8F8F8;
}
.b-box.b-box-gray .btn-box {
	color: #2D2D2C;
	border: 1px solid #2D2D2C;
	background-color: #F8F8F8;
}
.b-box.b-box-gray .btn-box:hover {
	color: #FFF;
	background-color: #565655;
}
.b-box.b-box-blue {
	color: #FFF;
	background-color: #34ACE7;
}
.b-box.b-box-blue .btn-box {
	color: #FFF;
	border: 1px solid #FFF;
	background-color: #34ACE7;
}
.b-box.b-box-blue .btn-box:hover {
	background-color: #007CAF;
}
.b-box.b-box-black {
	color: #FFF;
	background-color: #2D2D2C;
}
.b-box.b-box-black .btn-box {
	color: #FFF;
	border: 1px solid #FFF;
	background-color: #2D2D2C;
}
.b-box.b-box-black .btn-box:hover {
	background-color: #020200;
}


/* FORMS */
.input-group-btn:first-child > .btn, .input-group-btn:first-child > .btn-group {
	height: 34px;
	line-height: 14px;
}

/* TEXTS */
.b-title {
	font-family: Roboto;
	font-size: 36px;
	font-weight: 300;
	color: #2D2D2C;
}
.b-subtitle {
	font-family: Roboto;
	font-size: 24px;
	font-weight: 500;
	color: #2D2D2C;
}
.b-text {
	font-family: Roboto;
	font-size: 14px;
	line-height: 16px;
	font-weight: 500;
	color: #2D2D2C;
}

/* INPUTS */
.input-group {
	height: 34px;
	margin-bottom: 10px;
}
.input-group .btn-material-icon {
	border-radius: 0;
	border-color: #DDDCDD;
}
input.form-control {
	font-size: 14px;
	border-radius: 0;
	border-color: #DDDCDD;
	box-shadow: none;
	margin-bottom: 10px;
	height: 34px;
}
input.form-control.input-error {
	border-color: #FF6260;	
}

select.form-control {
	font-size: 14px;
	-webkit-appearance: none;
    -webkit-border-radius: 0;
    line-height: 100%;
    background-image: url("data:image/svg+xml;utf8,<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='24' height='24' viewBox='0 0 24 24'><path fill='#444' d='M7.406 7.828l4.594 4.594 4.594-4.594 1.406 1.406-6 6-6-6z'></path></svg>");
    background-position: 100% 50%;
    background-repeat: no-repeat;
	border-color: #DDDCDD;
	box-shadow: none;
	margin-bottom: 10px;
}
textarea.form-control {
	font-size: 14px;
	border-radius: 0;
	border-color: #DDDCDD;
	box-shadow: none;
	margin-bottom: 10px;
}

/* CHECKBOX */
.checkbox {
    color: #DDDCDD;
}
.checkbox label {
	line-height: 16px;
	font-size: 14px;
	color: #2D2D2C;
    padding-left: 25px;
}
.checkbox input[type="checkbox"] {
    margin: 0;
}
.checkbox input[type="checkbox"], .checkbox-inline input[type="checkbox"] {
    -webkit-appearance: none;
    margin-left: -25px;
    color: #333 !important;
}
.checkbox input[type="checkbox"]:after, .checkbox-inline input[type="checkbox"]:after {
    border-color: rgba(0, 0, 0, 0.54);
}
.checkbox input[type="checkbox"]:disabled:after, .checkbox-inline input[type="checkbox"]:disabled:after {
    border-color: rgba(0, 0, 0, 0.26);
}
.checkbox input[type="checkbox"]:focus, .checkbox-inline input[type="checkbox"]:focus {
    outline: none;
}
.checkbox input[type="checkbox"]:after, .checkbox-inline input[type="checkbox"]:after {
    border: 1px solid #DDDCDD;
    border-radius: 2px;
    content: '';
    display: block;
    height: 16px;
    transition: 240ms;
    width: 16px;
}
.checkbox input[type="checkbox"]:checked:before, .checkbox-inline input[type="checkbox"]:checked:before {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    position: absolute;
    left: 6px;
    top: 2px;
    display: table;
    width: 5px;
    height: 10px;
    border: 2px solid #fff;
    border-top: 0;
    border-left: 0;
    content: '';
}
.checkbox input[type="checkbox"]:checked:after, .checkbox-inline input[type="checkbox"]:checked:after {
    background-color: #34ace7;
}
.checkbox input[type="checkbox"]:disabled:checked:after, .checkbox-inline input[type="checkbox"]:disabled:checked:after {
    background-color: rgba(0, 0, 0, 0.26);
    border-color: transparent;
}

/* RADIO */
.radio.radio-info {
	padding-left: 20px;
}
.radio label {
    display: inline-block;
    position: relative;
    padding-left: 5px; 
    color:#333;
}
.radio label::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 17px;
    height: 17px;
    left: 0;
    margin-left: -20px;
    border: 1px solid #cccccc;
    border-radius: 50%;
    background-color: #fff;
    -webkit-transition: border 0.15s ease-in-out;
    -o-transition: border 0.15s ease-in-out;
    transition: border 0.15s ease-in-out; 
}
.radio label::after {
    display: inline-block;
    position: absolute;
    content: " ";
    width: 11px;
    height: 11px;
    left: 3px;
    top: 3px;
    margin-left: -20px;
    border-radius: 50%;
    background-color: #555555;
    -webkit-transform: scale(0, 0);
    -ms-transform: scale(0, 0);
    -o-transform: scale(0, 0);
    transform: scale(0, 0);
    -webkit-transition: -webkit-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
    -moz-transition: -moz-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
    -o-transition: -o-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
    transition: transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33); }

.radio input[type="radio"] {
    opacity: 0; }

.radio input[type="radio"]:checked + label::after {
    -webkit-transform: scale(1, 1);
    -ms-transform: scale(1, 1);
    -o-transform: scale(1, 1);
    transform: scale(1, 1); }
.radio input[type="radio"]:disabled + label {
    opacity: 0.65; }
.radio input[type="radio"]:disabled + label::before {
    cursor: not-allowed; }
.radio.radio-inline {
    margin-top: 0; }

.radio-info input[type="radio"] + label::after {
    background-color: #2196F3; }
.radio-info input[type="radio"]:checked + label::before {
    border-color: #2196F3; }
.radio-info input[type="radio"]:checked + label::after {
    background-color: #2196F3; }
.bonoom-radio-inline{
	display: inline-block;
	margin-right: 10px;
}
    
/* MODALS */
.modal .panel {
	box-shadow: none;
	margin: 0;
}
.modal .panel-body {
	margin: 10px auto;
}
.modal .panel-heading button, .modal .panel-heading button i {
    color: hsl(0, 0%, 100%);
    outline: none;
}

/* MODAL BASE */
.modal.modal-base .panel-heading {
	background-color: #34ACE7;
    color: hsl(0, 0%, 100%);
    border-radius: 0;
}

/* MODAL DELETE */
.modal.modal-delete .panel-body {
	text-align: center;
}
.modal.modal-delete .panel-heading {
	background-color: #FF6260;
    color: hsl(0, 0%, 100%);
    border-radius: 0;
}